# Record TCefTextfield

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefTextfield = record`

## Description

A Textfield supports editing of text. This control is custom rendered with no platform-specific code. Methods must be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated DLL-side.

Implemented by ICefTextfield.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_capi.h">CEF source file: /include/capi/views/cef_textfield_capi.h (cef_textfield_t))

## Overview

### Fields

| `base: TCefView;`
| `set_password_input: procedure(self: PCefTextfield; password_input: Integer); stdcall;`
| `is_password_input: function(self: PCefTextfield): Integer; stdcall;`
| `set_read_only: procedure(self: PCefTextfield; read_only: Integer); stdcall;`
| `is_read_only: function(self: PCefTextfield): Integer; stdcall;`
| `get_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;`
| `set_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;`
| `append_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;`
| `insert_or_replace_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;`
| `has_selection: function(self: PCefTextfield): Integer; stdcall;`
| `get_selected_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;`
| `select_all: procedure(self: PCefTextfield; reversed: Integer); stdcall;`
| `clear_selection: procedure(self: PCefTextfield); stdcall;`
| `get_selected_range: function(self: PCefTextfield): TCefRange; stdcall;`
| `select_range: procedure(self: PCefTextfield; const range: PCefRange); stdcall;`
| `get_cursor_position: function(self: PCefTextfield): NativeUInt; stdcall;`
| `set_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;`
| `get_text_color: function(self: PCefTextfield): TCefColor; stdcall;`
| `set_selection_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;`
| `get_selection_text_color: function(self: PCefTextfield): TCefColor; stdcall;`
| `set_selection_background_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;`
| `get_selection_background_color: function(self: PCefTextfield): TCefColor; stdcall;`
| `set_font_list: procedure(self: PCefTextfield; const font_list: PCefString); stdcall;`
| `apply_text_color: procedure(self: PCefTextfield; color: TCefColor; const range: PCefRange); stdcall;`
| `apply_text_style: procedure(self: PCefTextfield; style: TCefTextStyle; add: Integer; const range: PCefRange); stdcall;`
| `is_command_enabled: function(self: PCefTextfield; command_id: TCefTextFieldCommands): Integer; stdcall;`
| `execute_command: procedure(self: PCefTextfield; command_id: TCefTextFieldCommands); stdcall;`
| `clear_edit_history: procedure(self: PCefTextfield); stdcall;`
| `set_placeholder_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;`
| `get_placeholder_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;`
| `set_placeholder_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;`
| `set_accessible_name: procedure(self: PCefTextfield; const name: PCefString); stdcall;`

## Description

### Fields

| `base: TCefView;`
This item has no description.

| `set_password_input: procedure(self: PCefTextfield; password_input: Integer); stdcall;`
This item has no description.

| `is_password_input: function(self: PCefTextfield): Integer; stdcall;`
This item has no description.

| `set_read_only: procedure(self: PCefTextfield; read_only: Integer); stdcall;`
This item has no description.

| `is_read_only: function(self: PCefTextfield): Integer; stdcall;`
This item has no description.

| `get_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;`
This item has no description.

| `set_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;`
This item has no description.

| `append_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;`
This item has no description.

| `insert_or_replace_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;`
This item has no description.

| `has_selection: function(self: PCefTextfield): Integer; stdcall;`
This item has no description.

| `get_selected_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;`
This item has no description.

| `select_all: procedure(self: PCefTextfield; reversed: Integer); stdcall;`
This item has no description.

| `clear_selection: procedure(self: PCefTextfield); stdcall;`
This item has no description.

| `get_selected_range: function(self: PCefTextfield): TCefRange; stdcall;`
This item has no description.

| `select_range: procedure(self: PCefTextfield; const range: PCefRange); stdcall;`
This item has no description.

| `get_cursor_position: function(self: PCefTextfield): NativeUInt; stdcall;`
This item has no description.

| `set_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;`
This item has no description.

| `get_text_color: function(self: PCefTextfield): TCefColor; stdcall;`
This item has no description.

| `set_selection_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;`
This item has no description.

| `get_selection_text_color: function(self: PCefTextfield): TCefColor; stdcall;`
This item has no description.

| `set_selection_background_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;`
This item has no description.

| `get_selection_background_color: function(self: PCefTextfield): TCefColor; stdcall;`
This item has no description.

| `set_font_list: procedure(self: PCefTextfield; const font_list: PCefString); stdcall;`
This item has no description.

| `apply_text_color: procedure(self: PCefTextfield; color: TCefColor; const range: PCefRange); stdcall;`
This item has no description.

| `apply_text_style: procedure(self: PCefTextfield; style: TCefTextStyle; add: Integer; const range: PCefRange); stdcall;`
This item has no description.

| `is_command_enabled: function(self: PCefTextfield; command_id: TCefTextFieldCommands): Integer; stdcall;`
This item has no description.

| `execute_command: procedure(self: PCefTextfield; command_id: TCefTextFieldCommands); stdcall;`
This item has no description.

| `clear_edit_history: procedure(self: PCefTextfield); stdcall;`
This item has no description.

| `set_placeholder_text: procedure(self: PCefTextfield; const text: PCefString); stdcall;`
This item has no description.

| `get_placeholder_text: function(self: PCefTextfield): PCefStringUserFree; stdcall;`
This item has no description.

| `set_placeholder_text_color: procedure(self: PCefTextfield; color: TCefColor); stdcall;`
This item has no description.

| `set_accessible_name: procedure(self: PCefTextfield; const name: PCefString); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.